local Addon, private = ...

setfenv(1, private)

-- Private methods
-- ============================================================================

-- Public methods
-- ============================================================================

Widgets = Widgets or { }

function Widgets.h1(page, style, module, heading, html, createFrame)
	local self = createFrame("Frame", "", page)
	
	local text = createFrame("Text", "h1", self, function(text)
		text:SetLayer(2)
		text:SetFontSize(style.h1.fontSize)
		text:SetEffectGlow(style.h1.glow)
		text:SetFontColor(ColorFromHtml(style.h1.color))
	end)
	text:SetText(heading, html)
	text:SetPoint("TOPLEFT", self, "TOPLEFT", 0, 0)
	text:SetPoint("TOPRIGHT", self, "TOPRIGHT", 0, 0)

	local texture = createFrame("Texture", "", self)
	texture:SetTexture("Rift", "quest_description_short_frame.png.dds")
	texture:SetPoint("TOPLEFT", text, "TOPLEFT", -15, 5)
	self:SetHeight(text:GetHeight())
	
	return self, self, 0
end
